All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class PlatformServicesConfiguration

    com.sas.services.deployment.PlatformServicesConfiguration

    public class PlatformServicesConfiguration

Foundation services configuration file used to configure the services to be locally instantiated or remotely looked up by the foundation services facade.

Since:
  1.1
See Also:
  `PlatformServices`, `MetadataSourceFactory`

Field Summary
`static java.lang.String` | `URL_FILE` URL prefix designating an file resource.
`static java.lang.String` | `URL_OMR` URL prefix designating an SAS Metadata Repository server resource.

Constructor Summary
`PlatformServicesConfiguration(MetadataSourceInterface[] localMetadataSources, MetadataSourceInterface[] remoteMetadataSources)` Constructs an instance of a foundation services configuration defined by the specified metadata sources.

Method Summary
`static MetadataSourceInterface` | `createMetadataSource(java.lang.String url, java.lang.String userId, java.lang.String userPassword)` Define a metadata source based upon the URL.
`MetadataSourceInterface[]` | `getLocalMetadataSources()` Gets metadata sources defining local foundation service deployment configurations.
`MetadataSourceInterface[]` | `getRemoteMetadataSources()` Gets metadata sources defining remote foundation service deployment configurations.
`static boolean` | `isOpenMetadataRepositoryURL(java.lang.String deploymentConfigurationURL)` Determines whether or not the specified URL is for an OMR server.

Field Detail

### URL_OMR

    public static final java.lang.String URL_OMR

  URL prefix designating an SAS Metadata Repository server resource.

  See Also:
    Constant Field Values

### URL_FILE

    public static final java.lang.String URL_FILE

  URL prefix designating an file resource.

  See Also:
    Constant Field Values

Constructor Detail

### PlatformServicesConfiguration

    public PlatformServicesConfiguration(MetadataSourceInterface[] localMetadataSources,
                                         MetadataSourceInterface[] remoteMetadataSources)
                                  throws java.lang.IllegalArgumentException

  Constructs an instance of a foundation services configuration defined by the specified metadata sources.

  Parameters:
    `localMetadataSources` - Array of`MetadataSourceInterface` elements that define sources of service deployments which are to be instantiated in this process.
    `remoteMetadataSources` - Array of `MetadataSourceInterface` elements that define sources of service deployments which have been instantiated by another process and are to be remotely looked up by this process.
  Throws:
    `java.lang.IllegalArgumentException` - if no metadata sources are specified.
  See Also:
    `MetadataSourceFactory`

Method Detail

### isOpenMetadataRepositoryURL

    public static final boolean isOpenMetadataRepositoryURL(java.lang.String deploymentConfigurationURL)

  Determines whether or not the specified URL is for an OMR server.

  Parameters:
    `deploymentConfigurationURL` - URL designating a source from which a foundation services configuration can be queried.
  Returns:
    `true` if the URL designates a SAS Metadata Repository.

### getLocalMetadataSources

    public MetadataSourceInterface[] getLocalMetadataSources()

  Gets metadata sources defining local foundation service deployment configurations.

  Returns:
    Metadata sources defining local foundation service deployment configurations.

### getRemoteMetadataSources

    public MetadataSourceInterface[] getRemoteMetadataSources()

  Gets metadata sources defining remote foundation service deployment configurations.

  Returns:
    Metadata sources defining remote foundation service deployment configurations.

### createMetadataSource

    public static final MetadataSourceInterface createMetadataSource(java.lang.String url,
                                                                     java.lang.String userId,
                                                                     java.lang.String userPassword)

  Define a metadata source based upon the URL.

  Parameters:
    `url` - URL defining a metadata source employing the syntax:

        sas-oma://hostname[:port];protocol=COM | BRIDGE;protocolOptions;IOMNameValuePairs/reposid=ABCDEFGH | reposname=reposName;OMINameValuepairs/MetadataType;id=ABCDEFGH.A1234567 | MetadataType?QueryString

    `userId` - User identity. Required for an OMR source.
    `userPassword` - User password. Required for an OMR source.
  Returns:
    Metadata source from which a foundation services configuration can be queried.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.